import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class AppTheme {
  AppTheme._();
  static const Color primaryColor = Color(0xFFB0F320);
  static const Color primaryColorDark = Color(0xFFABEE1C);
  static const Color nearlyWhite = Color(0xFFFEFEFE);
  static const Color white = Color(0xFFFFFFFF);
  static const Color nearlyBlack = Color(0xFF213333);
  static const Color grey = Color(0xFF3A5160);
  static const Color dark_grey = Color(0xFF313A44);
  static const Color snackbarErrorBackgroudColor = Colors.red;
  static const Color snackbarSuccessBackgroudColor = Colors.green;
  static const Color snackbarWarningBackgroudColor = Colors.orange;
  static const Color roleIconBackgroudColor = Color(0xff002f5f);
  static const Color fixturePublishStatusColor = Color(0xFF5B8C00);
  static const Color fixtureNotPublishStatusColor = Color(0xFFD7616E);
  static const Color darkText = Color(0xFF253840);
  static const Color darkerText = Color(0xFF17262A);
  static const Color lightText = Color(0xFF4A6572);
  static const Color dismissibleBackground = Color(0xFF364A54);
  static const String fontName = 'NotoSans';
}

final theme = ThemeData(
  fontFamily: AppTheme.fontName,
  // primarySwatch:MaterialColor() AppTheme.primaryColor,
  visualDensity: VisualDensity.adaptivePlatformDensity,
  primaryColor: AppTheme.primaryColor,
  primaryColorDark: AppTheme.primaryColorDark,
  progressIndicatorTheme:
      ProgressIndicatorThemeData(color: AppTheme.primaryColor),
  dividerColor: Color(0xFFDBDBDA),
  cardColor: Colors.white,
  scaffoldBackgroundColor: Color(0xFFF8F8F8),
  tabBarTheme: TabBarTheme(
      indicator: BoxDecoration(
    border:
        Border(bottom: BorderSide(width: 3, color: AppTheme.primaryColorDark)),
  )),
  appBarTheme: AppBarTheme(
    centerTitle: true,
    iconTheme: IconThemeData(color: Colors.black),
    backgroundColor: AppTheme.primaryColor,
    titleTextStyle: TextStyle(
        color: Colors.black,
        fontSize: ScreenAdaper.sp(20),
        fontWeight: FontWeight.bold),
  ),
);
